Subject: [dhcwg] [Errata Verified] RFC8415 (6183)

From: RFC Errata System <[email-masked]>
Date: Thu, 21 May 2020 07:23:30 -0700 (PDT)

The following errata report has been verified for RFC8415,
"Dynamic Host Configuration Protocol for IPv6 (DHCPv6)". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6183

--------------------------------------
Status: Verified
Type: Technical

Reported by: Fernando Gont <[email-masked]>
Date Reported: 2020-05-19
Verified by: Erik Kline (IESG)

Section: 18.3.8

Original Text
-------------
   After all the addresses have been processed, the server generates a
   Reply message by setting the "msg-type" field to REPLY and copying
   the transaction ID from the Decline message into the "transaction-id"
   field.  The client includes a Status Code option (see Section 21.13)
   with the value Success, a Server Identifier option (see Section 21.3)
   with the server's DUID, and a Client Identifier option (see
   Section 21.2) with the client's DUID

Corrected Text
--------------
   After all the addresses have been processed, the server generates a
   Reply message by setting the "msg-type" field to REPLY and copying
   the transaction ID from the Decline message into the "transaction-id"
   field.  The server includes a Status Code option (see Section 21.13)
   with the value Success, a Server Identifier option (see Section 21.3)
   with the server's DUID, and a Client Identifier option (see
   Section 21.2) with the client's DUID

Notes
-----
The corrected text replaces "client" with "server".

I would like to thank Timothy Winters <[email-masked]> for confirming that this is a bug in the specification.

--------------------------------------
RFC8415 (draft-ietf-dhc-rfc3315bis-13)
--------------------------------------
Title               : Dynamic Host Configuration Protocol for IPv6 (DHCPv6)
Publication Date    : November 2018
Author(s)           : T. Mrugalski, M. Siodelski, B. Volz, A. Yourtchenko, M. Richardson, S. Jiang, T. Lemon, T. Winters
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Ms. Li HUANG" <[email-masked]>
Date: Fri, 22 May 2020 17:32:11 +0800

17:32.hk S8 May 22 2020

Dhcpv6DUID mac bits of the endpoints real time not displaying at the IPv6
and its temp IPv6 by isp prefix 2404:…

LLADD truly not following mac to ipv6 convert rule ,

Is isp using special virtual tech redirecting our clients ?

Sincerely
Li HUANG

On Thu, May 21, 2020, 22:28 RFC Errata System <[email-masked]>
wrote:

> Author(s)           : T. Mrugalski, M. Siodelski, B. Volz, A. Yourtchenko,
> M. Richardson, S. Jiang, T. Lemon, T. Winters
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>